Bug 60577 - Move webkitVisibility properties and events to window from document
Summary: Move webkitVisibility properties and events to window from document
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 60576
  Show dependency treegraph
 
Reported: 2011-05-10 13:41 PDT by Shishir Agrawal
Modified: 2011-05-24 14:43 PDT (History)
3 users (show)

See Also:


Attachments
Patch (19.22 KB, patch)
2011-05-10 13:45 PDT, Shishir Agrawal
tonyg: review-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shishir Agrawal 2011-05-10 13:41:36 PDT
As per the discussion on the webperf mailing list, we want to have the webkit visibility properties as a window property rather than that of a document.
Comment 1 Shishir Agrawal 2011-05-10 13:45:44 PDT
Created attachment 93002 [details]
Patch
Comment 2 Eric Seidel (no email) 2011-05-10 22:23:37 PDT
You should CC whoever has been reviewing your other visibility patches.  Also, you should announce this new feature on webkit-dev per our new feature guidelines:
http://www.webkit.org/coding/adding-features.html
Comment 3 Tony Gentilcore 2011-05-11 04:33:39 PDT
(In reply to comment #2)
> You should CC whoever has been reviewing your other visibility patches.  Also, you should announce this new feature on webkit-dev per our new feature guidelines:
> http://www.webkit.org/coding/adding-features.html

Eric, here's the thread: https://lists.webkit.org/pipermail/webkit-dev/2011-March/016162.html

Shishir, Now that it is landing and an editor's draft spec is available, it might be worth updating the thread.
http://w3c-test.org/webperf/specs/PageVisibility/
Comment 4 Tony Gentilcore 2011-05-11 04:38:45 PDT
Comment on attachment 93002 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=93002&action=review

> LayoutTests/ChangeLog:5
> +        Move webkitVisibility properties and events to window from document

The thread about this doesn't seem to be resolved. In particular, it looks like Alex is still pushing for document.
http://lists.w3.org/Archives/Public/public-web-perf/2011May/0045.html

Is there some other information I missed?
Comment 5 Alexey Proskuryakov 2011-05-11 09:12:45 PDT
Yes, "isVisible" is such a short and generic name that adding it to global scope seems questionable. It won't always have the WebKit prefix.
Comment 6 Tony Gentilcore 2011-05-13 06:23:32 PDT
Comment on attachment 93002 [details]
Patch

Based on comments in the web-perf thread, it looks like this won't be moved. r- to clear it from the review queue. Please reopen if necessary.
Comment 7 Shishir Agrawal 2011-05-24 14:43:41 PDT
As per discussions, this is no longer required. Closing.